<?php
if (!defined('ABSPATH'))
    die('No direct access allowed');


$woof_ext_instock_label = apply_filters('woof_ext_custom_title_by_instock',__('In stock', 'woocommerce-products-filter'));
$woof_ext_outofstock_label = apply_filters('woof_ext_custom_title_by_outstock',__('Nicht verfügbar', 'woocommerce-products-filter'));

if(isset($_GET['stock'])){
    $stock = $_GET['stock'];
} 
if (isset(woof()->settings['by_instock']) AND woof()->settings['by_instock']['show'])
{
    ?>
    <div data-css-class="woof_checkbox_instock_container" class="woof_checkbox_instock_container woof_container woof_container_stock">
        <div class="woof_container_overlay_item"></div>
        <div class="woof_container_inner woof_container_inner_stock">
            <h4><?php echo __("Verfügbarkeit", "tzn"); ?></h4>
            <div class="woof_block_html_items woof_closed_block woof_closed_block" style="display: none;">
                <ul class="woof_list woof_list_checkbox">
                    <li>
                        <input type="radio" class="woof_checkbox_instock" id="woof_checkbox_instock" name="stock" value="0" <?php if($stock=="instock") echo "checked"; ?> />&nbsp;&nbsp;<label for="woof_checkbox_instock"><?php esc_html_e($woof_ext_instock_label) ?></label>
                    </li>
                    <li>
                        <input type="radio" class="woof_checkbox_outofstock" id="woof_checkbox_outofstock" name="stock" value="1" <?php if($stock=="outofstock") echo "checked"; ?> />&nbsp;&nbsp;<label for="woof_checkbox_outofstock"><?php esc_html_e($woof_ext_outofstock_label) ?></label>
                    </li>
                </ul>
            </div>
            
            
        </div>
    </div>
    <script>
        jQuery( document ).ready(function($) {
            setTimeout(function() { 
                if( $('.woof_container_inner_stock li .iradio').length ){
                    $('.woof_container_inner_stock li .iradio').addClass('icheckbox_square-blue');
                }
                if( $('.woof_products_top_panel ul a[data-slug="outofstock"]').length ){
                    $('.woof_products_top_panel ul a[data-slug="outofstock"] span.woof_remove_ppi').text('Nicht verfügbar');
                }
                if( $('.woof_products_top_panel ul a[data-slug="instock"]').length ){
                    $('.woof_products_top_panel ul a[data-slug="instock"] span.woof_remove_ppi').text('Verfügbar');
                }
            }, 200);
            
        });
    </script>

    <?php
}


